![Novaconium PHP](/_assets/novaconium-logo.png)

# CORXN - The Core Foundation of Novaconium

Dockerhub: https://hub.docker.com/r/4lights/phpcontainer
Git Repo: https://git.4lt.ca/4lt/phpcontainer

CORXN (core-ex-en) is a lightweight yet powerful Docker-based environment designed as the core foundation for the [Novaconium PHP Framework](https://git.4lt.ca/4lt/novaconium). 
It provides a streamlined stack featuring Apache, the latest PHP version, Redis, and MariaDB, optimized for high performance.

## Features

- **PHP Version**: 8.4.5
- **Apache Web Server**: Configured to run PHP applications
- **Support for**:
  - `remoteip` (reverse proxy)
  - `redis`
  - `mariadb`
- **Timezone**: Default set to Vancouver (`America/Vancouver`)

## Getting Started

Follow these steps to set up the PHP container on your local environment.

### Usage

#### Clone the Repository

```bash
git clone https://git.4lt.ca/4lt/corxn.git
cd corxn
```
## How to update image on dockerhub

```bash
sudo su
docker buildx build --no-cache -t 4lights/corxn:6.0.0 -t 4lights/corxn:latest --load .
docker login
docker push 4lights/corxn:6.0.0
docker push 4lights/corxn:latest
```

# References And Notes

Test using test.php
